## GtkATContext GtkATContext — An object communicating to Assistive Technologies |

## Functions

GtkAccessible * | gtk_at_context_get_accessible ()
GtkAccessibleRole | gtk_at_context_get_accessible_role ()
GtkATContext * | gtk_at_context_create ()

## Properties

GtkAccessible * | accessible | Read / Write / Construct Only
GtkAccessibleRole | accessible-role | Read / Write / Construct Only

## Signals

void | state-change | Run First

## Types and Values

| GtkATContext

## Object Hierarchy

        GObject
        ╰── GtkATContext

## Includes

    #include <gtk/gtk.h>

## Description

GtkATContext is an abstract class provided by GTK to communicate to platform-specific assistive technologies API.

Each platform supported by GTK implements a GtkATContext subclass, and is responsible for updating the accessible state in response to state changes in GtkAccessible.

## Functions

### gtk_at_context_get_accessible ()

    GtkAccessible *
    gtk_at_context_get_accessible (GtkATContext *self);

Retrieves the GtkAccessible using this context.

#### Parameters

self | a GtkATContext |

#### Returns

a GtkAccessible.

[transfer none]

### gtk_at_context_get_accessible_role ()

    GtkAccessibleRole
    gtk_at_context_get_accessible_role (GtkATContext *self);

Retrieves the accessible role of this context.

#### Parameters

self | a GtkATContext |

#### Returns

a GtkAccessibleRole

### gtk_at_context_create ()

    GtkATContext *
    gtk_at_context_create (GtkAccessibleRole accessible_role,
                           GtkAccessible *accessible);

Creates a new GtkATContext instance for the given accessible role and accessible instance.

The GtkATContext implementation being instantiated will depend on the platform.

[constructor]

#### Parameters

accessible_role | the accessible role used by the GtkATContext |
accessible | the GtkAccessible implementation using the GtkATContext |

#### Returns

the GtkATContext.

[nullable][transfer full]

## Types and Values

### GtkATContext

    typedef struct _GtkATContext GtkATContext;

## Property Details

### The `“accessible”` property

      “accessible”               GtkAccessible *

The GtkAccessible that created the GtkATContext instance.

Owner: GtkATContext

Flags: Read / Write / Construct Only

### The `“accessible-role”` property

      “accessible-role”          GtkAccessibleRole

The accessible role used by the AT context.

Depending on the given role, different states and properties can be set or retrieved.

Owner: GtkATContext

Flags: Read / Write / Construct Only

Default value: GTK_ACCESSIBLE_ROLE_NONE

## Signal Details

### The `“state-change”` signal

    void
    user_function (GtkATContext *self,
                   gpointer      user_data)

Emitted when the attributes of the accessible for the GtkATContext instance change.

#### Parameters

self | the GtkATContext |
user_data | user data set when the signal handler was connected. |

Flags: Run First